<p>DokuWiki dialect module for HTML::WikiConverter with my improvements, as compared to the version found at CPAN.</p>

<p>The improvements were needed for a practical application of the conversion to cumbersome generated HTML.</p>

<p>You can get it from
  https://gitorious.org/html-to-dokuwiki/perl-html-wikiconverter-dokuwiki
  or
  http://repo.or.cz/w/perl-HTML-WikiConverter-DokuWiki.git
  .</p>

<h5>A simple way to use it:</h5>

<p>If you have HTML::WikiConverter installed (from a distro package
  like perl-HTML-WikiConverter-0.68-alt1 in my case or from CPAN),
  you can put the modified module inside a directory, say MY_PERL, as MY_PERL/HTML/WikiConverter/DokuWiki.pm and then run the converter like this:</p>

<pre>PERLLIB=MY_PERL html2wiki --dialect=DokuWiki --no-wrap-in-html mydoc.htm > mydoc.txt</pre>

<p>(Remember, MY_PERL is your directory for Perl code; in my case, it's simply a subdir in the directory where the documents are.)</p>

<h6>how to get HTML::WikiConverter</h6>

<p>A prerequisite is HTML::WikiConverter. You must be able to install it
from your distro; in RHEL, Fedora, CentOS, try:</p>

<pre>yum install perl-HTML-WikiConverter</pre>

<p>in ALTLinux:</p>

<pre>apt-get install perl-HTML-WikiConverter</pre>

Or get it from CPAN (which is less preferred, because there might be
problems with dependencies/compatibility):

<pre>cpan HTML::WikiConverter</pre>

<h5>New features</h5>
<p>For the design of the code of the new features, and other their
  general usefulness (for other dialects), see the other README-*
  files.</p>
